[SRU] Syntax error 'type' in neutron-openvswitch-agent.neutron-ovs-cleanup.service.in

Bug #1635369 reported by Corey Bryant on 2016-10-20
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu Cloud Archive
Undecided
Unassigned
Mitaka
Undecided
Unassigned
Newton
Undecided
Unassigned
neutron (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Edward Hope-Morley
Yakkety
Undecided
Unassigned

Bug Description

[Impact]

 * neutron-ovs-cleanup service start warning message

[Test Case]

 * Execute the following on Xenial (Mitaka):
    - sudo systemctl start neutron-ovs-cleanup
    - sudo systemctl status neutron-ovs-cleanup| grep "Unknown lvalue 'type' in section 'Service'"

[Regression Potential]

 * None

The service file /lib/systemd/system/neutron-ovs-cleanup.service contains a syntax error.

It contains: "type=oneshot"
But it should be: "Type=oneshot"

no longer affects: ubuntu
no longer affects: neutron (Ubuntu Zesty)
no longer affects: Ubuntu Xenial
no longer affects: Ubuntu Yakkety
no longer affects: Ubuntu Zesty

Hello Corey, or anyone else affected,

Accepted neutron into yakkety-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/neutron/2:9.0.0-0ubuntu1.16.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in neutron (Ubuntu):
status: New → Fix Committed
Changed in neutron (Ubuntu Yakkety):
status: New → Fix Committed
tags: added: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package neutron - 2:9.0.0-0ubuntu2

---------------
neutron (2:9.0.0-0ubuntu2) zesty; urgency=medium

  * d/neutron-openvswitch-agent.neutron-ovs-cleanup.service.in: Fix
    service config typo (LP: #1635369).

 -- Corey Bryant <email address hidden> Thu, 20 Oct 2016 14:16:26 -0400

Changed in neutron (Ubuntu):
status: Fix Committed → Fix Released
Corey Bryant (corey.bryant) wrote :

version 2:9.0.0-0ubuntu1.16.10.1 has been verified successfully from yakkety-proposed.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package neutron - 2:9.0.0-0ubuntu1.16.10.1

---------------
neutron (2:9.0.0-0ubuntu1.16.10.1) yakkety; urgency=medium

  * d/neutron-openvswitch-agent.neutron-ovs-cleanup.service.in: Fix
    service config typo (LP: #1635369).

 -- Corey Bryant <email address hidden> Thu, 20 Oct 2016 14:31:33 -0400

Changed in neutron (Ubuntu Yakkety):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for neutron has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Ryan Beisner (1chb1n) on 2016-11-02
Changed in cloud-archive:
status: New → Fix Committed

Hello Corey, or anyone else affected,

Accepted neutron into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/neutron/2:8.3.0-0ubuntu1.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in neutron (Ubuntu Xenial):
status: New → Fix Committed
tags: removed: verification-done
tags: added: verification-needed
Changed in neutron (Ubuntu Xenial):
assignee: nobody → Edward Hope-Morley (hopem)
tags: added: sts-sru
Edward Hope-Morley (hopem) wrote :

Testing with Mitaka and xenial-proposed and lgtm.

tags: added: verification-done
removed: verification-needed
Corey Bryant (corey.bryant) wrote :

Thanks Ed!

James Page (james-page) wrote :

Hello Corey, or anyone else affected,

Accepted neutron into mitaka-proposed. The package will build now and be available in the Ubuntu Cloud Archive in a few hours, and then in the -proposed repository.

Please help us by testing this new package. To enable the -proposed repository:

  sudo add-apt-repository cloud-archive:mitaka-proposed
  sudo apt-get update

Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-mitaka-needed to verification-mitaka-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-mitaka-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-mitaka-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package neutron - 2:8.3.0-0ubuntu1.1

---------------
neutron (2:8.3.0-0ubuntu1.1) xenial; urgency=medium

  * Fix service config typo:
    - debian/neutron-openvswitch-agent.neutron-ovs-cleanup.service.in (LP: #1635369).
    - debian/neutron-linuxbridge-agent.neutron-linuxbridge-cleanup.service.in (LP: #1606652).

 -- Edward Hope-Morley <email address hidden> Thu, 20 Oct 2016 17:24:10 +0100

Changed in neutron (Ubuntu Xenial):
status: Fix Committed → Fix Released
tags: added: verification-mitaka-done
removed: verification-mitaka-needed

The verification of the Stable Release Update for neutron has completed successfully and the package has now been released to -updates. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Ryan Beisner (1chb1n) wrote :

This bug was fixed in the package neutron - 2:8.3.0-0ubuntu1.1~cloud0
---------------

 neutron (2:8.3.0-0ubuntu1.1~cloud0) trusty-mitaka; urgency=medium
 .
   * New update for the Ubuntu Cloud Archive.
 .
 neutron (2:8.3.0-0ubuntu1.1) xenial; urgency=medium
 .
   * Fix service config typo:
     - debian/neutron-openvswitch-agent.neutron-ovs-cleanup.service.in (LP: #1635369).
     - debian/neutron-linuxbridge-agent.neutron-linuxbridge-cleanup.service.in (LP: #1606652).

Changed in cloud-archive:
status: Fix Committed → Fix Released
Louis Bouchard (louis) on 2017-03-22
tags: added: sts-sru-done
removed: sts-sru
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers